+Makefile
+Makefile.in
+aclocal.m4
+ChangeLog
+autom4te.cache
+config.cache
+config.log
+config.status
+configure
--- /dev/null
+AUTOMAKE_OPTIONS = foreign
+ACLOCAL_AMFLAGS = -I m4
+
+SUBDIRS = src
+
+EXTRA_DIST = README PROTOCOL m4/yaz.m4
+
+dist-hook:
+ if test -x /usr/bin/cvs2cl -a -d CVS; then cvs2cl ; fi
+ cp -r $(srcdir)/etc $(distdir)
+ cvs=`find $(distdir)/etc -name CVS -type d -print`; if test "$$cvs"; then rm -r $$cvs; fi
+ cp -r $(srcdir)/www $(distdir)
+ cvs=`find $(distdir)/www -name CVS -type d -print`; if test "$$cvs"; then rm -r $$cvs; fi
--- /dev/null
+#!/bin/sh
+# $Id: buildconf.sh,v 1.1 2007-01-08 12:43:41 adam Exp $
+
+automake=automake
+aclocal=aclocal
+autoconf=autoconf
+libtoolize=libtoolize
+autoheader=autoheader
+
+if [ "`uname -s`" = FreeBSD ]; then
+ # FreeBSD intalls the various auto* tools with version numbers
+ echo "Using special configuration for FreeBSD ..."
+ automake=automake19
+ aclocal="aclocal19 -I /usr/local/share/aclocal"
+ autoconf=autoconf259
+ libtoolize=libtoolize15
+ autoheader=autoheader259
+fi
+if $automake --version|head -1 |grep '1\.[4-7]'; then
+ echo "automake 1.4-1.7 is active. You should use automake 1.8 or later"
+ if test -f /etc/debian_version; then
+ echo " sudo apt-get install automake1.9"
+ echo " sudo update-alternatives --config automake"
+ fi
+ exit 1
+fi
+
+set -x
+
+# I am tired of underquoted warnings for Tcl macros
+$aclocal -I m4 2>&1 | grep -v aclocal/tcl.m4
+$autoheader
+$automake --add-missing
+$autoconf
+set -
+if [ -f config.cache ]; then
+ rm config.cache
+fi
+
+enable_configure=false
+enable_help=true
+sh_flags=""
+conf_flags=""
+case $1 in
+ -d)
+ sh_flags="-g -Wall"
+ enable_configure=true
+ enable_help=false
+ shift
+ ;;
+ -c)
+ sh_flags=""
+ enable_configure=true
+ enable_help=false
+ shift
+ ;;
+esac
+
+if $enable_configure; then
+ if test -n "$sh_flags"; then
+ CFLAGS="$sh_flags" ./configure $*
+ else
+ ./configure $*
+ fi
+fi
+if $enable_help; then
+ cat <<EOF
+
+Build the Makefiles with the configure command.
+ ./configure [--someoption=somevalue ...]
+
+For help on options or configuring run
+ ./configure --help
+
+Build and install binaries with the usual
+ make
+ make check
+ make install
+
+Build distribution tarball with
+ make dist
+
+Verify distribution tarball with
+ make distcheck
+
+Or just build the Debian packages without configuring
+ dpkg-buildpackage -rfakeroot
+
+When building from a CVS checkout, you need these Debian tools:
+ libyaz-dev
+
+EOF
+fi
+# Local Variables:
+# mode:shell-script
+# sh-indentation: 2
+# sh-basic-offset: 4
+# End:
--- /dev/null
+## -*- Autoconf -*-
+## Process this file with autoconf to produce a configure script.
+
+# Autoconf and automake setup
+AC_PREREQ(2.59)
+AC_INIT([pazpar2],[0.1],[pazpar2-help@indexdata.dk])
+
+AC_CONFIG_HEADERS(src/cconfig.h)
+
+AC_CONFIG_SRCDIR([configure.ac])
+AC_CONFIG_AUX_DIR([config])
+AC_CANONICAL_SYSTEM
+
+AM_INIT_AUTOMAKE([1.8])
+
+AC_PROG_CC
+
+AC_LANG(C)
+
+YAZ_INIT(libxml2,2.1.44)
+if test -z "$YAZLIB"; then
+ AC_MSG_ERROR([YAZ development libraries missing])
+fi
+YAZ_DOC
+
+AC_CONFIG_FILES([
+ Makefile
+ src/Makefile
+])
+
+AC_OUTPUT
pazpar2
Makefile
yaz
+Makefile.in
+cconfig.h
+cconfig.h.in
+.deps
+stamp-h1
--- /dev/null
+# ParaZ. Copyright (C) 2006-2007, Index Data.
+# $Id: Makefile.am,v 1.1 2007-01-08 12:43:41 adam Exp $
+
+bin_PROGRAMS = pazpar2
+
+MAINTAINERCLEANFILES = Makefile.in cconfig.h
+
+AM_CFLAGS = $(YAZINC)
+LDADD = $(YAZLIB)
+
+pazpar2_SOURCES = config.c config.h eventl.c eventl.h \
+ http.c http_command.c http_command.h http.h \
+ pazpar2.c pazpar2.h reclists.c reclists.h \
+ relevance.c relevance.h termlists.c termlists.h \
+ util.c util.h
+++ /dev/null
-# ParaZ. Copyright (C) 2000-2004, Index Data ApS
-# All rights reserved.
-# $Id: Makefile.dist,v 1.2 2007-01-06 04:54:58 quinn Exp $
-
-SHELL=/bin/sh
-
-CC=gcc
-
-YAZCONF=yaz-config
-YAZLIBS=`$(YAZCONF) --libs`
-YAZCFLAGS=`$(YAZCONF) --cflags`
-
-PROG=pazpar2
-PROGO=pazpar2.o eventl.o util.o http.o http_command.o termlists.o \
- reclists.o relevance.o config.o
-
-all: $(PROG)
-
-$(PROG): $(PROGO)
- $(CC) $(CFLAGS) $(YAZCFLAGS) -o $(PROG) $(PROGO) yaz/src/.libs/libyaz.a $(YAZLIBS)
-# $(CC) $(CFLAGS) $(YAZCFLAGS) -o $(PROG) $(PROGO) $(YAZLIBS)
-
-.c.o:
- $(CC) -c $(CFLAGS) -I. $(YAZCFLAGS) $<
-
-clean:
- rm -f *.[oa] test core mon.out gmon.out errlist $(PROG)
-
-
-## Dependencies go below
-
-config.o: config.c config.h
-eventl.o: eventl.c eventl.h
-http.o: http.c util.h eventl.h pazpar2.h termlists.h relevance.h \
- reclists.h config.h http.h http_command.h
-http_command.o: http_command.c util.h eventl.h pazpar2.h termlists.h \
- relevance.h reclists.h config.h http.h http_command.h
-pazpar2.o: pazpar2.c pazpar2.h termlists.h relevance.h reclists.h \
- eventl.h config.h http.h
-reclists.o: reclists.c pazpar2.h termlists.h relevance.h reclists.h \
- eventl.h config.h
-relevance.o: relevance.c relevance.h pazpar2.h termlists.h eventl.h \
- config.h reclists.h
-termlists.o: termlists.c termlists.h
-util.o: util.c
-/* $Id: config.c,v 1.3 2007-01-03 06:23:44 quinn Exp $ */
+/* $Id: config.c,v 1.4 2007-01-08 12:43:41 adam Exp $ */
#include <string.h>
#include <libxslt/transform.h>
#include <libxslt/xsltutils.h>
+#if HAVE_CONFIG_H
+#include <cconfig.h>
+#endif
+
#include <yaz/yaz-util.h>
#include <yaz/nmem.h>
*/
/*
- * $Id: eventl.c,v 1.1 2006-12-20 20:47:16 quinn Exp $
+ * $Id: eventl.c,v 1.2 2007-01-08 12:43:41 adam Exp $
* Based on revision YAZ' server/eventl.c 1.29.
*/
#include <stdio.h>
#include <assert.h>
+
+#if HAVE_CONFIG_H
+#include <cconfig.h>
+#endif
+
#ifdef WIN32
#include <winsock.h>
#else
/*
- * $Id: http.c,v 1.5 2007-01-06 04:54:58 quinn Exp $
+ * $Id: http.c,v 1.6 2007-01-08 12:43:41 adam Exp $
*/
#include <stdio.h>
#include <errno.h>
#include <assert.h>
+#if HAVE_CONFIG_H
+#include <cconfig.h>
+#endif
+
#include <yaz/yaz-util.h>
#include <yaz/comstack.h>
#include <netdb.h>
/*
- * $Id: http_command.c,v 1.8 2007-01-06 05:32:23 quinn Exp $
+ * $Id: http_command.c,v 1.9 2007-01-08 12:43:41 adam Exp $
*/
#include <stdio.h>
#include <ctype.h>
#include <sys/time.h>
+#if HAVE_CONFIG_H
+#include <cconfig.h>
+#endif
+
#include <yaz/yaz-util.h>
#include "util.h"
-/* $Id: pazpar2.c,v 1.17 2007-01-06 04:54:58 quinn Exp $ */;
+/* $Id: pazpar2.c,v 1.18 2007-01-08 12:43:41 adam Exp $ */;
#include <stdlib.h>
#include <stdio.h>
#include <yaz/yaz-util.h>
#include <yaz/nmem.h>
+#if HAVE_CONFIG_H
+#include "cconfig.h"
+#endif
+
#define USE_TIMING 0
#if USE_TIMING
#include <yaz/timing.h>
#include "relevance.h"
#include "config.h"
-#define PAZPAR2_VERSION "0.1"
#define MAX_CHUNK 15
static void client_fatal(struct client *cl);
30,
"81",
"Index Data PazPar2 (MasterKey)",
- PAZPAR2_VERSION,
+ VERSION,
600, // 10 minutes
60,
100,
/*
- * $Id: reclists.c,v 1.2 2007-01-05 20:33:05 adam Exp $
+ * $Id: reclists.c,v 1.3 2007-01-08 12:43:41 adam Exp $
*/
#include <assert.h>
+#if HAVE_CONFIG_H
+#include <cconfig.h>
+#endif
+
#include <yaz/yaz-util.h>
#include "pazpar2.h"
/*
- * $Id: relevance.c,v 1.3 2007-01-03 06:23:44 quinn Exp $
+ * $Id: relevance.c,v 1.4 2007-01-08 12:43:41 adam Exp $
*/
#include <ctype.h>
#include <math.h>
#include <stdlib.h>
+#if HAVE_CONFIG_H
+#include <cconfig.h>
+#endif
+
#include "relevance.h"
#include "pazpar2.h"
/*
- * $Id: termlists.c,v 1.1 2006-12-20 20:47:16 quinn Exp $
+ * $Id: termlists.c,v 1.2 2007-01-08 12:43:41 adam Exp $
*/
#include <stdlib.h>
#include <string.h>
#include <yaz/yaz-util.h>
+#if HAVE_CONFIG_H
+#include <cconfig.h>
+#endif
+
#include "termlists.h"
// Discussion:
-/* $Id: util.c,v 1.1 2006-12-20 20:47:16 quinn Exp $ */
+/* $Id: util.c,v 1.2 2007-01-08 12:43:41 adam Exp $ */
#include <stdlib.h>
+
+#if HAVE_CONFIG_H
+#include <cconfig.h>
+#endif
+
#include <yaz/yaz-util.h>
void die(char *string, char *add)